> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/14/reference/sql-commands/deallocate.md).

# DEALLOCATE

DEALLOCATE — deallocate a prepared statement

### Synopsis

```
DEALLOCATE [ PREPARE ] { name | ALL }
```

### Description

`DEALLOCATE` is used to deallocate a previously prepared SQL statement. If you do not explicitly deallocate a prepared statement, it is deallocated when the session ends.

For more information on prepared statements, see [PREPARE](https://www.postgresql.org/docs/13/sql-prepare.html).

### Parameters

`PREPARE`

This key word is ignored.

*`name`*

The name of the prepared statement to deallocate.

`ALL`

Deallocate all prepared statements.

### Compatibility

The SQL standard includes a `DEALLOCATE` statement, but it is only for use in embedded SQL.

### See Also

[EXECUTE](https://www.postgresql.org/docs/13/sql-execute.html), [PREPARE](https://www.postgresql.org/docs/13/sql-prepare.html)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/14/reference/sql-commands/deallocate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
